<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Modul "Language"      	                                     |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
| sponsored by: www.mwae.ch                                              |
+------------------------------------------------------------------------+

== Version: 4.0 / October 2012 ==

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php'); 

// Moduleinstellungen speichern (neue Version mit automatischem Einlesen neuer Variablen)************
if (isset($_POST['go'])) {
	$new_settings = $_POST;
    foreach ($activeModules['language'] as $k=>$v) {
        if (!isset($_POST['languageNew'][$k])) continue;
        if (is_bool($activeModules['language'][$k])) {
            $activeModules['language'][$k] = (bool) $_POST['languageNew'][$k];
        } else {
			$activeModules['language'][$k] = $_POST['languageNew'][$k];
		}
		if (array_key_exists($k, $new_settings['languageNew'])) unset($new_settings['languageNew'][$k]);
    }
    foreach ($new_settings['languageNew'] as $k=>$v) {
		$activeModules['language'][$k] = $new_settings['languageNew'][$k];
	}
    $c_datum = date ("Y-m-d H:i:s", time());
    $query = sprintf(
             "UPDATE ".CPO_MODULES." SET options ="
            ." '%s' WHERE name = '%s'", 
            addslashes(serialize($activeModules['language'])),
			'language'
    );
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query); 

    $message[] = __('Module settings were updated!');
}

// ***********************************************************************

?>

<script type="text/javascript"><!--

function textarea (boxid, link){ 
	var t=document.getElementById(boxid); 
	if(link.innerHTML=='<?php echo __('enlarge'); ?>'){ 
		t.style.height = t.offsetHeight+350+"px"; 
		link.innerHTML='<?php echo __('reduce'); ?>'; 
	} else{ 
		t.style.height = t.offsetHeight-350+"px"; 
		link.innerHTML='<?php echo __('enlarge'); ?>'; 
	} 
} 


//--> </script>

<?php


require(CPO_BASEDIR.'_include/header.php');

if (!function_exists('modHelp'))  {
	function modHelp($topic,$module)  {
		return 'http://manual.conpresso4.de/'.$module.'/'.$topic.".htm";
	}
}

printPageHeader(
    __('Language switching'),
    __('In this view you can work on the language switching settings.'),
	modHelp('settings','language'),
	true,
	'modules'
);
include(CPO_BASEDIR.'_include/message.php');
include('./producer.inc.php');

if(array_key_exists('language', $activeModules))  {
	// table header {{{
	echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
	echo '<input type="hidden" name="go" value="1">';

	echo '<table class="colored" style="width: 100%;">';
	echo '<thead><tr>';

	echo '<th colspan="2"><span>'.__('Language switching settings').'</span></th>';

	echo '</tr></thead><tbody>';
	// }}}

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Languages:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<textarea rows="5" class="text inputwidth" name="languageNew[languages]" id="languages">' . htmlspecialchars($activeModules['language']['languages']) . '</textarea>';
        echo '<br />'.__('<b>Syntax:</b> CSS-class;title;flag-image [LF] (first line sets default language)');
        echo '<br /><a href="#" onClick="textarea(\'languages\', this);return false" id="lnk">'.__('enlarge').'</a><br />';
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Navigation divider:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text" name="languageNew[divider]" value="'.$activeModules['language']['divider'].'" maxlength="10" size="10" />';
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Switchable tags:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text inputwidth" name="languageNew[tags]" value="'.$activeModules['language']['tags'].'" />';
        echo '<br />'.__('<b>Syntax:</b> tag-names divided by comma (,)');
		echo '</td>';
	echo '</tr>';


	echo '<tr>';
		echo '<td class="leftrow">';
		echo '&nbsp;';
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
		echo '</td>';
	echo '</tr>';
	echo '</tbody></table>';
	}
	
	echo '</form>';

require(CPO_BASEDIR.'_include/footer.php');
?>
